%define rname alkimia
%define version 7.0
%define rel 1
%define api 5
%define major 7
%define libname %mklibname %{rname} %{api} %{major}
%define develname %mklibname %{rname} -d

Summary:	Financial library
Name:		libalkimia
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	http://download.kde.org/stable/alkimia/%{version}/src/alkimia-%{version}.tar.xz
License:	LGPLv2+
Group:		Office/Finance
URL:		https://community.kde.org/Alkimia/libalkimia
BuildRequires:	gmpxx-devel
BuildRequires:	kf5-macros
BuildRequires:  qt5-devel

%description 
Financial library used by KMyMoney and Skrooge.

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary: Financial library
Group: Office/Finance
Obsoletes: %{name} < 4.3.1-2
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Financial library used by KMyMoney and Scrooge.

%files -n %{libname}
%{_libdir}/%{name}%{api}.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	gmpxx-devel
Requires:	kf5-macros

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/%{name}%{api}.so
%{_libdir}/pkgconfig/%{name}%{api}.pc
%{_libdir}/cmake/LibAlkimia%{api}-%{version}/*.cmake
%{_includedir}/%{rname}/Qt5/alkimia/*.h

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{rname}-%{version}

%build
%cmake
%make_build

%install
%{makeinstall_std} -C build



%changelog
* Sun Mar 18 2018 zezinho <zezinho> 7.0-1.mga6
  (not released yet)
+ Revision: 1210223
- upgrade version to bring Kmymoney 5 to MGA6 #22797

* Thu Jun 16 2016 zezinho <zezinho> 5.0.0-1.mga6
+ Revision: 1021761
- new version 5.0.0 needed for kmymoney 4.8.0

* Fri Jan 29 2016 umeabot <umeabot> 4.3.2-7.mga6
+ Revision: 928933
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3.2-6.mga5
+ Revision: 740355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3.2-5.mga5
+ Revision: 681324
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.3.2-4.mga4
+ Revision: 506900
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3.2-3.mga3
+ Revision: 356796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 4.3.2-2.mga3
+ Revision: 322438
- fix rpm group

* Mon Jan 30 2012 zezinho <zezinho> 4.3.2-1.mga2
+ Revision: 203521
- new version
+ dmorgan <dmorgan>
- Clean spec file
  	- Remove %%clean section
  	- Remove default defattr()
  	- Remove rm -fr in %%install section
  Use major macro in the file list, to be sure to catch major change

* Sat Sep 24 2011 fwang <fwang> 4.3.1-2.mga2
+ Revision: 147210
- correct libname

* Fri Sep 23 2011 zezinho <zezinho> 4.3.1-1.mga2
+ Revision: 147102
- imported package libalkimia

